org.apache.ignite.compute

## Class ComputeUserUndeclaredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.compute.ComputeUserUndeclaredException

All Implemented Interfaces:
  Serializable

    public class ComputeUserUndeclaredException
    extends IgniteException

This exception is thrown when user's code throws undeclared runtime exception. By user code it is assumed the code in grid task, grid job or SPI. In most cases it should be an indication of unrecoverable error condition such as assertion, `NullPointerException`, `OutOfMemoryError`, etc.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ComputeUserUndeclaredException(String msg)` Creates user undeclared exception with given task execution ID and error message.
`ComputeUserUndeclaredException(String msg, Throwable cause)` Creates user undeclared exception with given task execution ID, error message and optional nested exception.
`ComputeUserUndeclaredException(Throwable cause)` Creates new user undeclared exception given throwable as a cause and source of error message.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComputeUserUndeclaredException

    public ComputeUserUndeclaredException(String msg)

Creates user undeclared exception with given task execution ID and error message.

Parameters:
  `msg` - Error message.

#### ComputeUserUndeclaredException

    public ComputeUserUndeclaredException(Throwable cause)

Creates new user undeclared exception given throwable as a cause and source of error message.

Parameters:
  `cause` - Non-null throwable cause.

#### ComputeUserUndeclaredException

    public ComputeUserUndeclaredException(String msg,
                                          @Nullable
                                          Throwable cause)

Creates user undeclared exception with given task execution ID, error message and optional nested exception.

Parameters:
  `msg` - Error message.
  `cause` - Optional nested exception (can be `null`).

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018